Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83335 - Kernel BUG at apic.c:287! / Kernel panic: Attempted to kill the idle task!
Summary: Kernel BUG at apic.c:287! / Kernel panic: Attempted to kill the idle task!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-02 21:49 UTC by Bill Gray
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:28 UTC


Attachments (Terms of Use)

Description Bill Gray 2003-02-02 21:49:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
During inital boot from CD on digital PRIORIS XL 6200 (200Mhz PPro)
the install hangs with an apparent kernel crash:

  Kernel BUG at apic.c:287!
...
  Kernel panic: Attempted to kill the idle task!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just try to boot from iso CD; tried "linux apic", "noapic", "disableapic",
etc.  Got the panic every time.
2.
3.
    

Actual Results:  as described below

Expected Results:  I was hoping to be able to install  :-)

Additional info:

....
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
POSIX conformance testing by UNIFIX
---------------[ cut here ]-----------
Kernel BUG at apic.c:287!
invalid operand: 0000
CPU: 0
EIP: 0010:[<c028682e>]   Not tainted
EFLAGS: 00010246

EIP is at (2.4.18-14BOOT)
eax: 0 ebx: ff ecx: ffffffff edx:0
esi: 59800 edi: c0105000 ebp: 4e00 esp: c027ffdc
ds: 18 es: 18  ss: 18
Process swapper (pid: 0, stackpage=c027f000)
Stack: ff 0 59800 c0286dd9 c02806b8 c027e000 0 c02afd40 c0100191
Call Trace:

Code: 0f 0b 1f 01 46 c7 22 c0 b8 ff ff ff ff 87 05 e0 e0 ff ff a1
<0>Kernel panic: Attempted to kill the idle task!
In idle task - not syncing

<and it hangs there with Caps / Scroll lock LEDs flashing>

Comment 1 Bill Gray 2003-02-14 13:22:57 UTC
Same bug is present in the PHOEBE beta kit:
  kernel BUG at apic.:298!
  ... register dump, stack / call trace etc
  <0>Kernel panic: Attempted to kill init!

Comment 2 Bugzilla owner 2004-09-30 15:40:28 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.